## xmix 2.1

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.65 91/07/25 17:50:17 rws Exp $

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.a00907>
# $XFree86: mit/config/Imake.tmpl,v 2.6 1993/10/02 07:11:59 dawes Exp $
# $XConsortium: Imake.tmpl,v 1.139 91/09/16 08:52:48 rws Exp $
#
# Platform-specific parameters may be set in the appropriate <vendor>.cf
# configuration files.  Site-specific parameters should be set in the file
# site.def.  Full rebuilds are recommended if any parameters are changed.
#
# If your C preprocessor does not define any unique symbols, you will need
# to set BOOTSTRAPCFLAGS when rebuilding imake (usually when doing
# "make World" the first time).
#

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# $XFree86: mit/config/site.def,v 2.23 1993/10/16 17:28:07 dawes Exp $
# site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

# -------------------------------------------------------------------------
# platform-specific configuration parameters - edit x386.cf to change

# $XFree86: mit/config/x386.cf,v 2.27 1993/10/02 07:24:11 dawes Exp $
# platform:  $XConsortium: x386.cf,v 1.7 91/08/16 19:30:10 gildea Exp $

# -------------------------------------------------------------------------
# XFree86 version definition
# $XFree86: mit/config/xf86_vers.def,v 2.7 1993/10/08 16:11:07 dawes Exp $

# -------------------------------------------------------------------------
# XFree86 version: 2000
# -------------------------------------------------------------------------

# $XFree86: mit/config/lnuxLib.rules,v 2.5 1993/10/06 14:53:01 dawes Exp $

DLL_BINDIR = /usr/dll/bin

# operating system:  		Linux

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# $XFree86: mit/config/site.def,v 2.23 1993/10/16 17:28:07 dawes Exp $
# site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

            SHELL = 	/bin/sh

              TOP = .
      CURRENT_DIR = .

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = 		gcc
               AS = as

              LEX = 		flex

             YACC = 		bison -y

         COMPRESS = compress
              CPP = 		/lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = 	/lib/cpp $(STD_CPP_DEFINES)
          INSTALL = install
               LD = ld
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn
            NROFF = nroff
             NEQN = neqn
     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional 		-D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE 	-Dlinux
      STD_DEFINES = 		-D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE 	-Dlinux
 EXTRA_LOAD_FLAGS =
  EXTRA_LIBRARIES =
     OS_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

    PROTO_DEFINES = -DFUNCPROTO=11 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -s -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -s -m 4755

      PROJECTROOT = 	/usr/X386

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O2
        CCOPTIONS = -m486 -DNO_ASM -fwritable-strings
    ANSICCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(DEFINES)
           CFLAGS = $(ANSICCOPTIONS) $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)

           LDLIBS = $(OS_LIBRARIES) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

        LDOPTIONS = $(ANSICCOPTIONS) $(CDEBUGFLAGS) $(CCOPTIONS) $(LOCAL_LDFLAGS) -L$(USRLIBDIR)

   LDCOMBINEFLAGS = 	-r
      DEPENDFLAGS =

        MACROFILE = x386.cf
           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Imake.rules 			$(IRULESRC)/Project.tmpl $(IRULESRC)/site.def 			$(IRULESRC)/$(MACROFILE) $(EXTRA_ICONFIGFILES)

# -------------------------------------------------------------------------
# X Window System Build Parameters
# $XFree86: mit/config/Project.tmpl,v 2.1 1993/09/17 16:10:43 dawes Exp $
# $XConsortium: Project.tmpl,v 1.138.1.1 92/11/11 09:49:19 rws Exp $

_percentC_ = %C

# -------------------------------------------------------------------------
# X Window System make variables; this need to be coordinated with rules

          PATHSEP = /
        USRLIBDIR = 	/usr/X386/lib
           BINDIR = 	/usr/X386/bin
          INCROOT = 	/usr/X386/include
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
        CONFIGDIR = $(LIBDIR)/config
       LINTLIBDIR = $(USRLIBDIR)/lint

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
          MANPATH = 	/usr/X386/man
    MANSOURCEPATH = $(MANPATH)/man
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5
           NLSDIR = $(LIBDIR)/nls
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t
       LINKKITDIR = 	$(USRLIBDIR)/Server

     INSTAPPFLAGS = $(INSTDATFLAGS)

            IMAKE = imake
           DEPEND = makedepend
              RGB = rgb

            FONTC = bdftopcf

        MKFONTDIR = mkfontdir
        MKDIRHIER = 	/bin/sh $(BINDIR)/mkdirhier

        CONFIGSRC = $(TOP)/config
       DOCUTILSRC = $(TOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/server
          UTILSRC = $(TOP)/util
        SCRIPTSRC = $(UTILSRC)/scripts
       EXAMPLESRC = $(TOP)/examples
       CONTRIBSRC = $(TOP)/../contrib
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/rgb
        DEPENDSRC = $(UTILSRC)/makedepend
         IMAKESRC = $(CONFIGSRC)
         XAUTHSRC = $(LIBSRC)/Xau
          XLIBSRC = $(LIBSRC)/X
           XMUSRC = $(LIBSRC)/Xmu
       TOOLKITSRC = $(LIBSRC)/Xt
       AWIDGETSRC = $(LIBSRC)/Xaw
       OLDXLIBSRC = $(LIBSRC)/oldX
      XDMCPLIBSRC = $(LIBSRC)/Xdmcp
      BDFTOSNFSRC = $(FONTSRC)/bdftosnf
      BDFTOSNFSRC = $(FONTSRC)/clients/bdftosnf
      BDFTOPCFSRC = $(FONTSRC)/clients/bdftopcf
     MKFONTDIRSRC = $(FONTSRC)/clients/mkfontdir
         FSLIBSRC = $(FONTSRC)/lib/fs
    FONTSERVERSRC = $(FONTSRC)/server
     EXTENSIONSRC = $(TOP)/extensions
         XILIBSRC = $(EXTENSIONSRC)/lib/xinput
        PEXLIBSRC = $(EXTENSIONSRC)/lib/PEXlib
      PHIGSLIBSRC = $(EXTENSIONSRC)/lib/PEX

# $XFree86: mit/config/lnuxLib.tmpl,v 2.0 1993/08/29 14:15:39 dawes Exp $

SHLIBLDFLAGS =
PICFLAGS = -B/usr/dll/jump/

  DEPEXTENSIONLIB =
     EXTENSIONLIB = -lXext

          DEPXLIB = $(DEPEXTENSIONLIB)
             XLIB = $(EXTENSIONLIB) -lX11

        DEPXMULIB =
           XMULIB = -lXmu

      DEPXTOOLLIB =
         XTOOLLIB = -lXt

        DEPXAWLIB =
           XAWLIB = -lXaw

        DEPXILIB =
           XILIB = -lXi

    DEPXTESTLIB =
       XTESTLIB = -lXtst

        DEPPEXLIB =
         PEXLIB = -lPEX5

        SOXLIBREV = 3.1.0
          SOXTREV = 3.1.0
         SOXAWREV = 3.1.0
        SOOLDXREV = 3.1.0
         SOXMUREV = 3.1.0
        SOXEXTREV = 3.1.0
      SOXINPUTREV = 3.1.0
         SOPEXREV = 1.1.0

      DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
         XAUTHLIB = 			 -lXau
      DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
         XDMCPLIB = 			 -lXdmcp

       DEPOLDXLIB = $(USRLIBDIR)/liboldX.a
          OLDXLIB = 			 -loldX

        DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
           PHIGSLIB = 			 -lphigs

       DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
          XBSDLIB = 			 -lXbsd

 LINTEXTENSIONLIB = $(LINTLIBDIR)/llib-lXext.ln
         LINTXLIB = $(LINTLIBDIR)/llib-lX11.ln
          LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln
        LINTXTOOL = $(LINTLIBDIR)/llib-lXt.ln
          LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln
           LINTXI = $(LINTLIBDIR)/llib-lXi.ln
          LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln
        LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

# -------------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# $XFree86: mit/config/Imake.rules,v 2.1 1993/09/29 11:06:00 dawes Exp $
# rules:  $XConsortium: Imake.rules,v 1.123 91/09/16 20:12:16 rws Exp $

# -------------------------------------------------------------------------
# start of Imakefile

#
# xmix Imakefile.
#
#CDEBUGFLAGS=-gstabs
CDEBUGFLAGS=-O

SRCS1=	xmix.c
OBJS1=	xmix.o

PROGRAMS = xmix

all::  $(PROGRAMS)

LOCAL_LIBRARIES = $(XAWLIB) $(XMULIB) $(XTOOLLIB) $(XLIB)

xmix: $(OBJS1)
	$(RM) $@
	$(CC) -o $@ $(OBJS1) $(LDOPTIONS) $(LOCAL_LIBRARIES) $(LDLIBS)  $(EXTRA_LOAD_FLAGS)

clean::
	$(RM) xmix

# -------------------------------------------------------------------------
# common rules for all Makefiles - do not edit

emptyrule::

clean::
	$(RM_CMD) "#"*

Makefile::
	-@if [ -f Makefile ]; then set -x; \
	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

# -------------------------------------------------------------------------
# empty rules for directories that do not have SUBDIRS - do not edit

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

install.linkkit::
	@echo "install.linkkit in $(CURRENT_DIR) done"

Makefiles::

includes::

# -------------------------------------------------------------------------
# dependencies generated by makedepend

=== debian/changelog ===
xmix (2.1-9) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.5 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Rewrote d/rules to enable hardening.
  * Added XDG desktop entry replacing Debian menu entry.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 03 Jun 2024 08:29:08 +0200

xmix (2.1-8) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 (quilt) format (Closes: #1007598).
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Thu, 25 Aug 2022 22:07:53 +0200

xmix (2.1-7) unstable; urgency=low

  * Add hurd support; thanks to Samuel Thibault for the patch.
    Closes: #637533.
  * Update debhelper usage
  * Update Standards-Version
  * Add hardening flags
  * Fix up lots of lintian warnings

 -- Steve McIntyre <93sam@debian.org>  Thu, 04 Sep 2014 23:23:29 +0100

xmix (2.1-6) unstable; urgency=low

  * Taking patch from the Non-maintainer upload - thanks Frank!
    Closes: #368283

 -- Steve McIntyre <93sam@debian.org>  Sun, 21 May 2006 22:08:33 +0100

xmix (2.1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Install man pages into /usr/share/man, not /usr/X11R6/man
  * Install command into /usr/bin, not /usr/X11R6/bin
  * Correct path in menu file
  * Change build dependency from xutils to xutils-dev

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 21 May 2006 00:53:33 -0500

xmix (2.1-5) unstable; urgency=low

  * New maintainer.
  * Fix RC dependency on xlibs-dev. Closes: #346948
  * Add GNU/kFreeBSD support; thanks to Aurelien Jarno for the patch.
    Closes: #336865
  * Updated Standards-Version.
  * Updated debconf version requirement to 4 (remove warnings).
  * Fixed compiler warnings.
  * Fixed lintian warnings.

 -- Steve McIntyre <93sam@debian.org>  Sun, 15 Jan 2006 19:49:07 +0000

xmix (2.1-4) unstable; urgency=low

  * New maintainer
  * Change the way it decodes volume info to match gmix.
  * Change to use debhelper
  * Closes: #165460

 -- Steve Dunham <dunham@debian.org>  Thu, 31 Oct 2002 07:14:15 -0800

xmix (2.1-3.4) unstable; urgency=low

  * NMU
  * xmix.c: Changed type of centering_width to Dimension and types
    of volumes to int, fixes breakage on big-endian machines.
    (closes: #133865)

 -- Lukas Geyer <geyer@math.uni-dortmund.de>  Sat, 31 Aug 2002 19:02:07 -0400

xmix (2.1-3.3) unstable; urgency=low

  * NMU
  * Added the missing build dependency on libxaw7-dev.
    (closes: #106844)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 10 Nov 2001 10:39:13 +0100

xmix (2.1-3.2) unstable; urgency=low

  * NMU
  * recompiled against modern libraries (Closes: #52938)
  * lintian 1.20.9 clean
  * debian/control:
    - added Build-Depends
    - bumped Standards-Version to 3.5.2
  * debian/menu: menu file from Adrian Bridgett (Closes: #72174)
  * debian/rules:
    - install documentation to /usr/share/doc
    - install app-defaults file to correct place (Closes: #86318)
    - install postinst and prerm scripts
  * debian/{postinst,postrm,prerm}:
    - handle /usr/doc symlink
    - call update-menus if it exists

 -- Branden Robinson <branden@debian.org>  Fri, 16 Mar 2001 16:50:19 -0500

xmix (2.1-3.1) unstable; urgency=low

  * Libc6 compile to correct problems with mixed libs. (#11752,#14005)

 -- Martin Mitchell <martin@debian.org>  Mon, 17 Nov 1997 18:37:00 +1100

xmix (2.1-3) unstable; urgency=low

  * Converted to new source package format

 -- Owen Dunn <owen@greenend.org.uk>  Sat, 16 Nov 1996 18:07:29 +0000

xmix (2.1-2) unstable; urgency=low

  * No longer produces `Supported' debugging message

 -- Owen Dunn <owen@greenend.org.uk>  Thu, 11 Jul 1996 18:05:27 +0100

=== debian/control ===
Source: xmix
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               imagemagick,
               libxaw7-dev,
               libxt-dev,
               xutils-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/xmix
Vcs-Git: https://salsa.debian.org/debian/xmix.git

Package: xmix
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: X11-based interface to the Linux sound driver mixer
 This interface to the sound driver mixer allows easy adjustment of the
 sound card's input and output levels, and selection of sound source
 for recording.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	xmkmf
	dh_auto_build -- LOCAL_LDFLAGS="$(LDFLAGS)" CDEBUGFLAGS="" \
		CCOPTIONS="$(CFLAGS) $(CPPFLAGS) -fno-strict-aliasing -Wall"

execute_after_dh_auto_install:
	mkdir -p $(CURDIR)/debian/xmix/usr/share/icons
	convert xmix.icon.bit $(CURDIR)/debian/xmix/usr/share/icons/xmix.png
